<template>
  <div>
    <base-dialog :show="!!error" title="Create new article" @close="handleError">
      <p>{{ error }}</p>
    </base-dialog>
    <base-spinner v-if="isLoading"></base-spinner>
    <section>
      <base-card>
        <h2>Create new article!</h2>
        <article-form @save-data="saveData"></article-form>
      </base-card>
    </section>

  </div>
<!--  <div>-->
<!--    <label for="title">Title</label>-->
<!--    <input-->
<!--        id="title"-->
<!--        v-model.trim="title.val"-->
<!--        type="text"-->
<!--        @blur="clearValidity('title')"-->
<!--    />-->
<!--  </div>-->

</template>

<script>


import ArticleForm from '../../components/articles/ArticleForm.vue';

export default {
  components: {
    ArticleForm,
  },
  data() {
    return {
      isLoading: false,
      error: null,
    };
  },

  methods: {
    async saveData(data) {
      console.log(data.content);
      this.isLoading = true;
      try {
        await this.$store.dispatch('articles/crateArticle', data);
      } catch (err) {
        this.error = err.message || 'Failed to authenticate, try later.';
      }
      this.isLoading = false;
      this.$router.replace('/articles');
    },
    handleError() {
      this.error = null;
    },
  }
};
</script>
<!--export default {-->
<!--  data() {-->
<!--    return {-->
<!--      value: null-->
<!--    };-->
<!--  },-->
<!--  methods: {-->
<!--    save: function () {-->
<!--      editor.save().then(savedData => {-->
<!--        console.log(savedData);-->
<!--        this.value = savedData;-->
<!--      });-->
<!--    },-->
<!--    myEditor: function () {-->
<!--      window.editor = new EditorJS({-->
<!--        holder: "codex-editor",-->
<!--        autofocus: true,-->
<!--        /**-->
<!--         * This Tool will be used as default-->
<!--         */-->
<!--        tools: {-->
<!--          paragraph: {-->
<!--            class: Paragraph,-->
<!--            config: {-->
<!--              placeholder: "."-->
<!--            }-->
<!--          },-->
<!--          image: {-->
<!--            class: InlineImage,-->
<!--            inlineToolbar: true,-->
<!--            config: {-->
<!--              embed: {-->
<!--                display: true,-->
<!--              },-->
<!--              unsplash: {-->
<!--                // apiUrl:'localhost:8080',-->
<!--                appName: 'Teckteek',-->
<!--                clientId: 'yzvpT7o8NFvsv0rnqaYx_cq-F8TjrUt4uR6SIRKxyyU'-->
<!--              }-->
<!--            }-->
<!--          }-->
<!--        },-->
<!--        data: {-->
<!--          // blocks: [-->
<!--          //   {-->
<!--          //     "type": "image",-->
<!--          //     "data": {-->
<!--          //       "url": "https://images.unsplash.com/photo-xxxxxxxxxxxxxxxxx",-->
<!--          //       "caption": "An image from Unsplash",-->
<!--          //       "withBorder": false,-->
<!--          //       "withBackground": true,-->
<!--          //       "stretched": false,-->
<!--          //       "unsplash": {-->
<!--          //         "author": "John Doe",-->
<!--          //         "profileLink": "https://unsplash.com/@john_doe_fake"-->
<!--          //       }-->
<!--          //     }-->
<!--          //   },-->
<!--          // ],-->
<!--        },-->
<!--        onReady: function () {-->
<!--          console.log("ready");-->
<!--        },-->
<!--        onChange: function () {-->
<!--          console.log("change");-->
<!--        }-->
<!--      });-->
<!--    }-->
<!--  },-->
<!--  mounted: function () {-->
<!--    this.myEditor();-->
<!--  }-->
<!--};-->
<!--</script>-->
